ListAutomatedReasoningPolicyBuildWorkflows - Amazon Bedrock
Services or capabilities described in AWS documentation might vary by Region. To see the differences applicable to the AWS European Sovereign Cloud Region, see the AWS European Sovereign Cloud User Guide.

ListAutomatedReasoningPolicyBuildWorkflows

Lists all build workflows for an Automated Reasoning policy, showing the history of policy creation and modification attempts.

Request Syntax

GET /automated-reasoning-policies/policyArn/build-workflows?maxResults=maxResults&nextToken=nextToken HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

maxResults

The maximum number of build workflows to return in a single response. Valid range is 1-100.

Valid Range: Minimum value of 1. Maximum value of 1000.

nextToken

A pagination token from a previous request to continue listing build workflows from where the previous request left off.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

policyArn

The Amazon Resource Name (ARN) of the Automated Reasoning policy whose build workflows you want to list.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: arn:aws(-[^:]+)?:bedrock:[a-z0-9-]{1,20}:[0-9]{12}:automated-reasoning-policy/[a-z0-9]{12}(:([1-9][0-9]{0,11}))?

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "automatedReasoningPolicyBuildWorkflowSummaries": [ { "buildWorkflowId": "string", "buildWorkflowType": "string", "createdAt": "string", "policyArn": "string", "status": "string", "updatedAt": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

automatedReasoningPolicyBuildWorkflowSummaries

A list of build workflow summaries, each containing key information about a build workflow including its status and timestamps.

Type: Array of AutomatedReasoningPolicyBuildWorkflowSummary objects

Array Members: Minimum number of 0 items. Maximum number of 1000 items.

nextToken

A pagination token to use in subsequent requests to retrieve additional build workflows.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request is denied because of missing access permissions.

HTTP Status Code: 403

InternalServerException

An internal server error occurred. Retry your request.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource Amazon Resource Name (ARN) was not found. Check the Amazon Resource Name (ARN) and try your request again.

HTTP Status Code: 404

ThrottlingException

The number of requests exceeds the limit. Resubmit your request later.

HTTP Status Code: 429

ValidationException

Input validation failed. Check your request parameters and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: